Bug 1554059 - anaconda hangs after scriptlet failure in livemedia-creator
Summary: anaconda hangs after scriptlet failure in livemedia-creator
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 29
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-11 07:00 UTC by Kevin Fenzi
Modified: 2019-11-27 21:35 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 21:35:56 UTC
Type: Bug


Attachments (Terms of Use)

Description Kevin Fenzi 2018-03-11 07:00:38 UTC
https://koji.fedoraproject.org/koji/taskinfo?taskID=25625238

05:30:37,708 INF installation: Task started: Install the payload (14/16)
05:30:37,708 INF progress: Starting package installation process
05:30:41,902 DBG payload: apply with result True called on requirements [('package', 'authselect-compat', PayloadRequi
rement(id=authselect-compat, reasons=[PayloadRequirementReason(reason='authselect', strong=True)])), ('package', 'fire
walld', PayloadRequirement(id=firewalld, reasons=[PayloadRequirementReason(reason='firewall', strong=True)])), ('packa
ge', 'chrony', PayloadRequirement(id=chrony, reasons=[PayloadRequirementReason(reason='ntp', strong=False)])), ('packa
ge', 'langpacks-en', PayloadRequirement(id=langpacks-en, reasons=[PayloadRequirementReason(reason='langpacks', strong=
False)]))]
05:33:09,789 INF progress: Preparing transaction from installation source
05:39:05,002 DBG exception: running handleException
05:39:05,004 CRT exception: Traceback (most recent call last):

  File "/usr/lib64/python3.6/site-packages/pyanaconda/threading.py", line 291, in run
    threading.Thread.run(self)

  File "/usr/lib64/python3.6/threading.py", line 864, in run
    self._target(*self._args, **self._kwargs)

  File "/usr/lib64/python3.6/site-packages/pyanaconda/installation.py", line 366, in doInstall
    installation_queue.start()

  File "/usr/lib64/python3.6/site-packages/pyanaconda/installation_tasks.py", line 304, in start
    item.start()

  File "/usr/lib64/python3.6/site-packages/pyanaconda/installation_tasks.py", line 304, in start
    item.start()

  File "/usr/lib64/python3.6/site-packages/pyanaconda/installation_tasks.py", line 472, in start
    self.run_task()

  File "/usr/lib64/python3.6/site-packages/pyanaconda/installation_tasks.py", line 438, in run_task
    self._task(*self._task_args, **self._task_kwargs)

  File "/usr/lib64/python3.6/site-packages/pyanaconda/payload/dnfpayload.py", line 967, in install
    if errors.errorHandler.cb(exc) == errors.ERROR_RAISE:

  File "/usr/lib64/python3.6/site-packages/pyanaconda/errors.py", line 292, in cb
    raise NonInteractiveError("Non interactive installation failed: %s" % exn)

pyanaconda.errors.NonInteractiveError: Non interactive installation failed: DNF error: Non-fatal <unknown> scriptlet failure in rpm package texlive-kpathsea

05:39:05,005 DBG exception: Gtk cannot be initialized
05:39:05,005 DBG exception: In a non-main thread, sending a message with exception data
05:39:05,005 DBG simpleline: New signal ExceptionSignal enqueued with source ScreenScheduler
05:39:05,005 INF threading: Thread Done: AnaInstallThread (139770986493696)
05:39:05,875 DBG simpleline: Executing inner loop
05:39:05,880 DBG simpleline: New signal ExceptionSignal enqueued with source ScreenScheduler
05:39:05,883 ERR ui.tui: 
======= Screen stack =======
----------- TOP ------------
ScreenData(ProgressSpoke,None,False)
============================

05:39:05,884 DBG exception: running handleException
05:39:05,884 CRT exception: Traceback (most recent call last):

  File "/usr/lib64/python3.6/site-packages/pyanaconda/threading.py", line 291, in run
    threading.Thread.run(self)

  File "/usr/lib64/python3.6/threading.py", line 864, in run
    self._target(*self._args, **self._kwargs)

  File "/usr/lib64/python3.6/site-packages/pyanaconda/installation.py", line 366, in doInstall
    installation_queue.start()

  File "/usr/lib64/python3.6/site-packages/pyanaconda/installation_tasks.py", line 304, in start
    item.start()

  File "/usr/lib64/python3.6/site-packages/pyanaconda/installation_tasks.py", line 304, in start
    item.start()

  File "/usr/lib64/python3.6/site-packages/pyanaconda/installation_tasks.py", line 472, in start
    self.run_task()

  File "/usr/lib64/python3.6/site-packages/pyanaconda/installation_tasks.py", line 438, in run_task
    self._task(*self._task_args, **self._task_kwargs)

  File "/usr/lib64/python3.6/site-packages/pyanaconda/payload/dnfpayload.py", line 967, in install
    if errors.errorHandler.cb(exc) == errors.ERROR_RAISE:

  File "/usr/lib64/python3.6/site-packages/pyanaconda/errors.py", line 292, in cb
    raise NonInteractiveError("Non interactive installation failed: %s" % exn)

pyanaconda.errors.NonInteractiveError: Non interactive installation failed: DNF error: Non-fatal <unknown> scriptlet failure in rpm package texlive-kpathsea

05:39:05,884 DBG exception: Gtk cannot be initialized
05:39:05,884 DBG exception: In the main thread, running exception handler

          └─mock,15707 -tt /usr/libexec/mock/mock -r koji/f29-build-11766923-874163 --cwd /thebuilddir/tmp ...
              └─livemedia-creat,15719 /sbin/livemedia-creator --ks ...
                  ├─{livemedia-creat},15744
                  └─anaconda,15745 /usr/sbin/anaconda --kickstart ...
                      ├─{anaconda},15757
                      ├─dbus-daemon,15759 --print-address --syslog ...
                      ├─{anaconda},15760
                      └─anaconda,16705 /usr/sbin/anaconda --kickstart ...
                          └─{anaconda},16743

05:39:04,873 INF packaging: Configuring (running scriptlet for): texlive-kpathsea-7:20170520-20.fc29.x86_64 1520610420 020e3bc93f1bfafb8a628864b8a2221fa26edbcc0d694de183c45a856a82ce41
05:39:05,001 ERR dnf.rpm: Non-fatal <unknown> scriptlet failure in rpm package texlive-kpathsea
05:39:05,295 Level 8 dnf: RPM transaction over.
05:39:18,780 Level 8 dnf: timer: verify transaction: 13446 ms
05:39:18,781 Level 8 dnf: timer: transaction: 367013 ms
05:39:18,785 Level 8 dnf: Cleaning up.

anaconda just sits there after this and needs to be killed manually.

Comment 1 Brian Lane 2018-03-12 15:42:03 UTC
I would classify this as an anaconda error. There are several things going on here they need answers. First is why a supposedly non-fatal scriptlet error makes it crash. The other is why anaconda is hanging instead of exiting while in cmdline mode.

When running with no-virt livemedia-creator depends on anaconda exiting. I do have plans to hook up the log monitoring code to try and catch problems, but up until now that hasn't really been needed.

Comment 2 Jan Kurik 2018-08-14 10:11:17 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 3 Jasper O'neal Hartline 2018-08-26 06:01:11 UTC
Anaconda is a vital piece of software. It needs fixing up right for livemedia-creator to function.

Comment 4 Vendula Poncova 2018-08-27 14:15:31 UTC
All RPM errors are fatal (see https://bugzilla.redhat.com/show_bug.cgi?id=1565123). The scriptlet failure needs to be fixed in the package texlive-kpathsea.

Anyway, Anaconda should still quit in the cmdline mode. Are you able to reproduce the problem with the latest rawhide? If yes, please, attach all files /tmp/*log with anaconda logs.

Comment 5 Kevin Fenzi 2018-08-27 17:20:04 UTC
I have not seen this in a while. Not sure if it's fixed or if it's just not showing up for whatever reason.

Comment 6 Jasper O'neal Hartline 2019-03-21 06:55:58 UTC
Anaconda fails to install The packages in Fedora 29 under KAdischi that I hacked together to work really fast in Python 3 with no isys.py module and no rpm.py modules. Then I tried it again and it installed all the packages but Anaconda failed to properly terminate it's job and the window stayed up saying installaltion finshed would you like to reboot to start using Fedora... ???

So there is no telling what we are to be doing using livemedia-creator under mock or kadischi still?

Comment 7 Ben Cotton 2019-10-31 19:45:20 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Ben Cotton 2019-11-27 21:35:56 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.